Any (Package com.ericsson.otp.ic version 4.4.2)
Date: 2016-09-20

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class Any

    java.lang.Object
      com.ericsson.otp.ic.Any

Direct Known Subclasses:
  Term

    public class Any

extends java.lang.Object

The Any class is the java mapping of the any OMG-IDL type.

Constructor Summary
`Any()`

Method Summary
`boolean` | `equal(Any _any)` Any comparison method
`java.lang.String` | `extract_atom()` Atom value extractor method
`boolean` | `extract_boolean()` Boolean value extractor method
`char` | `extract_char()` Char value extractor method
`double` | `extract_double()` Double value extractor method
`float` | `extract_float()` Float value extractor method
`int` | `extract_long()` Long value extractor method
`long` | `extract_longlong()` Long Long value extractor method
`byte` | `extract_octet()` Octet value extractor method
`short` | `extract_short()` Short value extractor method
`com.ericsson.otp.erlang.OtpInputStream` | `extract_Streamable()` Object Stream extractor method
`java.lang.String` | `extract_string()` String value extractor method
`int` | `extract_ulong()` Unsigned Long value extractor method
`long` | `extract_ulonglong()` Unsigned Long Long value extractor method
`short` | `extract_ushort()` Unsigned Short value extractor method
`char` | `extract_wchar()` Wchar value extractor method
`java.lang.String` | `extract_wstring()` Wstring value extractor method
`void` | `insert_atom(java.lang.String s)` Atom value insertion method
`void` | `insert_boolean(boolean b)` Boolean value insertion method
`void` | `insert_char(char c)` Char value insertion method
`void` | `insert_double(double d)` Double value insertion method
`void` | `insert_float(float f)` Float value insertion method
`void` | `insert_long(int i)` Long value insertion method
`void` | `insert_longlong(long l)` Long Long value insertion method
`void` | `insert_octet(byte b)` Octet value insertion method
`void` | `insert_short(short s)` Short value insertion method
`void` | `insert_Streamable(com.ericsson.otp.erlang.OtpOutputStream _os)` Object Stream insertion method
`void` | `insert_string(java.lang.String s)` String value insertion method
`void` | `insert_ulong(int i)` Unsigned Long value insertion method
`void` | `insert_ulonglong(long l)` Unsigned Long Long value insertion method
`void` | `insert_ushort(short s)` Unsigned Short value insertion method
`void` | `insert_wchar(char c)` Wchar value insertion method
`void` | `insert_wstring(java.lang.String s)` Wstring value insertion method
`void` | `read_value(com.ericsson.otp.erlang.OtpInputStream _is, TypeCode _tc)` Reads a value from the stream, according to the inserted TypeCode
`TypeCode` | `type()` TypeCode accessor method
`void` | `type(TypeCode _tc)` TypeCode insertion method
`void` | `write_value(com.ericsson.otp.erlang.OtpOutputStream _os)` Writes the Any's value to the ouput stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Any

    public Any()

Method Detail

### equal

    public boolean equal(Any _any)

  Any comparison method

  Returns:
    true if the input Any is equal to the object, false otherwize

### type

    public TypeCode type()

  TypeCode accessor method

  Returns:
    the Any's TypeCode

### type

    public void type(TypeCode _tc)

  TypeCode insertion method

### read_value

    public void read_value(com.ericsson.otp.erlang.OtpInputStream _is,
                           TypeCode _tc)
                    throws java.lang.Exception

  Reads a value from the stream, according to the inserted TypeCode

  Throws:
    `java.lang.Exception`

### write_value

    public void write_value(com.ericsson.otp.erlang.OtpOutputStream _os)
                     throws java.lang.Exception

  Writes the Any's value to the ouput stream

  Throws:
    `java.lang.Exception`

### extract_short

    public short extract_short()
                        throws java.lang.Exception

  Short value extractor method

  Returns:
    short, the value of Any
  Throws:
    `java.lang.Exception`

### insert_short

    public void insert_short(short s)

  Short value insertion method

### extract_long

    public int extract_long()
                     throws java.lang.Exception

  Long value extractor method

  Returns:
    int, the value of Any
  Throws:
    `java.lang.Exception`

### insert_long

    public void insert_long(int i)

  Long value insertion method

### extract_longlong

    public long extract_longlong()
                          throws java.lang.Exception

  Long Long value extractor method

  Returns:
    long, the value of Any
  Throws:
    `java.lang.Exception`

### insert_longlong

    public void insert_longlong(long l)

  Long Long value insertion method

### extract_ushort

    public short extract_ushort()
                         throws java.lang.Exception

  Unsigned Short value extractor method

  Returns:
    short, the value of Any
  Throws:
    `java.lang.Exception`

### insert_ushort

    public void insert_ushort(short s)

  Unsigned Short value insertion method

### extract_ulong

    public int extract_ulong()
                      throws java.lang.Exception

  Unsigned Long value extractor method

  Returns:
    int, the value of Any
  Throws:
    `java.lang.Exception`

### insert_ulong

    public void insert_ulong(int i)

  Unsigned Long value insertion method

### extract_ulonglong

    public long extract_ulonglong()
                           throws java.lang.Exception

  Unsigned Long Long value extractor method

  Returns:
    long, the value of Any
  Throws:
    `java.lang.Exception`

### insert_ulonglong

    public void insert_ulonglong(long l)

  Unsigned Long Long value insertion method

### extract_float

    public float extract_float()
                        throws java.lang.Exception

  Float value extractor method

  Returns:
    float, the value of Any
  Throws:
    `java.lang.Exception`

### insert_float

    public void insert_float(float f)

  Float value insertion method

### extract_double

    public double extract_double()
                          throws java.lang.Exception

  Double value extractor method

  Returns:
    double, the value of Any
  Throws:
    `java.lang.Exception`

### insert_double

    public void insert_double(double d)

  Double value insertion method

### extract_boolean

    public boolean extract_boolean()
                            throws java.lang.Exception

  Boolean value extractor method

  Returns:
    boolean, the value of Any
  Throws:
    `java.lang.Exception`

### insert_boolean

    public void insert_boolean(boolean b)

  Boolean value insertion method

### extract_char

    public char extract_char()
                      throws java.lang.Exception

  Char value extractor method

  Returns:
    char, the value of Any
  Throws:
    `java.lang.Exception`

### insert_char

    public void insert_char(char c)

  Char value insertion method

### extract_wchar

    public char extract_wchar()
                       throws java.lang.Exception

  Wchar value extractor method

  Returns:
    char, the value of Any
  Throws:
    `java.lang.Exception`

### insert_wchar

    public void insert_wchar(char c)

  Wchar value insertion method

### extract_octet

    public byte extract_octet()
                       throws java.lang.Exception

  Octet value extractor method

  Returns:
    byte, the value of Any
  Throws:
    `java.lang.Exception`

### insert_octet

    public void insert_octet(byte b)

  Octet value insertion method

### extract_string

    public java.lang.String extract_string()
                                    throws java.lang.Exception

  String value extractor method

  Returns:
    String, the value of Any
  Throws:
    `java.lang.Exception`

### insert_string

    public void insert_string(java.lang.String s)

  String value insertion method

### extract_wstring

    public java.lang.String extract_wstring()
                                     throws java.lang.Exception

  Wstring value extractor method

  Returns:
    String, the value of Any
  Throws:
    `java.lang.Exception`

### insert_wstring

    public void insert_wstring(java.lang.String s)

  Wstring value insertion method

### extract_atom

    public java.lang.String extract_atom()
                                  throws java.lang.Exception

  Atom value extractor method

  Returns:
    atom, the value of Any
  Throws:
    `java.lang.Exception`

### insert_atom

    public void insert_atom(java.lang.String s)

  Atom value insertion method

### insert_Streamable

    public void insert_Streamable(com.ericsson.otp.erlang.OtpOutputStream _os)

  Object Stream insertion method

### extract_Streamable

    public com.ericsson.otp.erlang.OtpInputStream extract_Streamable()

  Object Stream extractor method

  Returns:
    OtpInputStream, the stream value of Any

Package | Class | Tree | Serialized | Deprecated | Index | Help
| Copyright © 1991-2007 Ericsson AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD